package ub.scp2.boImpl;

import java.util.List;

import ub.scp2.bo.RoleBo;
import ub.scp2.dao.RoleDao;
import ub.scp2.entities.Role;

/**
 * RoleBoImpl.java -this class implements the RoleBo. This is the Business Object of the Role entity
 * 
 *
 */
public class RoleBoImpl implements RoleBo, java.io.Serializable {
	private RoleDao roledao;

	public void setRoledao(RoleDao roledao) {
		this.roledao = roledao;
	}


	public List<Role> getRoleList() {
		return roledao.getRoleList();
	}


	public Role getRoleById(Integer roleId) {
		return roledao.getRoleById(roleId);
	}
	
	
}
